%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear

flg = logical(1); % save pic flag
fontsz = 9;

scale = 1;

load 'data\f02\sbigeu.mat' tmsx masx fwx sng masm fwm sngm nx sng0 pwr0 sngm0 pwrm0 dif
maseu = masx;
masmeu = masm;

sng0eu = sng0;
pwr0eu = pwr0;
sngm0eu = sngm0;
pwrm0eu = pwrm0;

difeu = dif;
sngeu = sng ./scale;
sngmeu = sngm ./scale;
fwxeu = fwx ./scale;
fwxmeu = fwm ./scale;

tmseu = sort(tmsx);

fitsngeu = sng0eu * nx.^pwr0eu ./scale;
fitsngmeu = sngm0eu * nx.^pwrm0eu ./scale;

%%%%%%%%%%%%%%%%%%%%%%%%%%%
p = polyfit(log10(maseu),log10(fwxeu),1);
pwrfeu = p(1);
fwfeu = 10^p(2);
fitfweu = fwfeu * nx.^pwrfeu ./scale;

p = polyfit(log10(masmeu),log10(fwxmeu),1);
pwrfmeu = p(1);
fwfmeu = 10^p(2);
fitfwmeu = fwfmeu * nx.^pwrfmeu ./scale;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


load 'data\fig02\sbigus.mat' tmsx masx fwx sng masm fwm sngm nx sng0 pwr0 sngm0 pwrm0 dif
masus = masx;
masmus = masm;

sng0us = sng0;
pwr0us = pwr0;
sngm0us = sngm0;
pwrm0us = pwrm0;
fitsngus = sng0us * nx.^pwr0us ./scale;
fitsngmus = sngm0us * nx.^pwrm0us ./scale;

difus = dif;
sngus = sng ./scale;
sngmus = sngm ./scale;
fwxus = fwx ./scale;
fwxmus = fwm ./scale;

tmsus = sort(tmsx);

%%%%%%%%%%%%%%%%%%%%%%%%%%%
p = polyfit(log10(masus),log10(fwxus),1);
pwrfus = p(1);
fwfus = 10^p(2);
fitfwus = fwfus * nx.^pwrfus ./scale;

p = polyfit(log10(masmus),log10(fwxmus),1);
pwrfmus = p(1);
fwfmus = 10^p(2);
fitfwmus = fwfmus * nx.^pwrfmus ./scale;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%


figure(1)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(1,1,[.02 .1],[.13 .07],[.095 .01]);


set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 9; height = 6; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);


axes(ha(1));
set(gca,'FontSize',fontsz-2)

loglog(gca,maseu,fwxeu,'ob','MarkerSize',2,'MarkerFaceColor','b')
hold on 
loglog(gca,masmeu,fwxmeu,'or','MarkerSize',3,'MarkerFaceColor','r')
hold on 
loglog(gca,nx,fitfweu,'-b','LineWidth',1)
hold on 
loglog(gca,nx,fitfwmeu,'-r','LineWidth',1)
hold off
set(gca,'XLim',[1 14],'YLim',round([(3/scale) (22/scale)]))
lg1 = legend('\omega_s \color{blue}(Eureka)','\omega  \color{red}(Eureka)',...
    [num2str(round(fwfeu/scale*100)/100,'%3.2f'),'\it{"} \cdot{\it m}^{',num2str(round(pwrfeu*100)/100,'%3.2f'),'}'],...
    [num2str(round(fwfmeu/scale*100)/100,'%3.2f'),'\it{"} \cdot{\it m}^{',num2str(round(pwrfmeu*100)/100,'%3.2f'),'}'],'location','SouthWest','Interpreter','tex');
% set(lg1,'FontSize',fontsz-3.5,'Color','w')
lgps = get(lg1,'position');
lgps(1) = lgps(1)+0.17;
lgps(2) = lgps(2)-0.09;
set(lg1,'position',lgps,'FontSize',fontsz-2.,'Color','w','FontName','times')

ylabel('$\omega_s$ \& $\omega$  $(^{\prime\prime})$','FontSize',fontsz,'Interpreter','latex')
xlabel('$m$','FontSize',fontsz,'Interpreter','latex')
% title({['Eureka (EU) 7 m ASL, ',datestr(tmseu(1),'yyyy/mm/dd HH:MM'),...
%     '-',datestr(tmseu(end),'HH:MM'),', $\omega_d$=',num2str(difeu*640/650,'%3.2f'),'$^{\prime\prime}$'],...
%     ['Sherbrooke (SH) 314 m ASL, ',datestr(tmsus(1),'yyyy/mm/dd HH:MM'),...
%     '-',datestr(tmsus(end),'HH:MM'),', $\omega_d$=',num2str(difus*640/650,'%3.2f'),'$^{\prime\prime}$']},...
%     'FontWeight','normal','Interpreter','latex')
title(['Sherbrooke ',datestr(tmsus(1),'yyyy/mm/dd HH:MM'),...
    '-',datestr(tmsus(end),'HH:MM'),...
    ', Eureka ',datestr(tmseu(1),'yyyy/mm/dd HH:MM'),...
    '-',datestr(tmseu(end),'HH:MM')],...
    'FontWeight','normal','Interpreter','latex')
grid on
set(gca,'XTick',[1:8,9:2:13])
set(gca,'YTick',[2:5, 6:2:12, 15:3:21])
set(gca,'FontSize',fontsz-2)
set(gca,'FontName','times')

% pos = get(gca,'position');
% ax1 = axes('position',pos);
% set(ax1,'Color','none','box','on')
ax1 = axes('Position', get(gca, 'Position'),'Color','none');

loglog(ax1,masus,fwxus,'ok','MarkerSize',2,'MarkerFaceColor','k')
hold on 
loglog(gca,masmus,fwxmus,'og','MarkerSize',3,'MarkerFaceColor','g')
hold on 
loglog(ax1,nx,fitfwus,'-k','LineWidth',1)
hold on 
loglog(ax1,nx,fitfwmus,'-g','LineWidth',1)
hold off
set(ax1,'XTick',[],'YTick',[],'Color','none')
set(ax1,'XLim',[1 14],'YLim',round([(3/scale) (22/scale)]))
lg2 = legend(ax1,'\omega_s \color{black}(Sherbrooke)','\omega  \color{green}(Sherbrooke)',...
    [num2str(round(fwfus/scale*100)/100,'%3.2f'),'\it{"} \cdot{\it m}^{',num2str(round(pwrfus*100)/100,'%3.2f'),'}'],...
    [num2str(round(fwfmus/scale*100)/100,'%3.2f'),'\it{"} \cdot{\it m}^{',num2str(round(pwrfmus*100)/100,'%3.2f'),'}'],'location','SouthEast');
% set(lg2,'Color','w','FontSize',fontsz-3.5)
lgps = get(lg2,'position');
lgps(1) = lgps(1)+0.06;
lgps(2) = lgps(2)-0.09;
set(lg2,'FontSize',fontsz-2.,'position',lgps,'Color','w','FontName','times')

set(gca,'FontSize',fontsz-2)
set(gca,'FontName','times')

outfile1 = strcat('pics/png/','fig02');
% outfile2 = strcat('pics/eps/','fig02');
% outfile3 = strcat('pics/tif/','fig02');
outfile4 = strcat('pics/pdf/','fig02');

if flg
    print('-dpng', '-r400', [outfile1,'.png'])
%     print('-depsc2', '-tiff','-painters', '-r400', [outfile2,'.eps'])
%     print('-dtiff', '-r400', [outfile3,'.tif'])
    print('-Painters','-dpdf', '-r400', [outfile4,'.pdf'])
end