%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear
set(0,'DefaultTextInterpreter', 'latex')
% opengl('save', 'software')

flg = logical(1); % save pic flag

fontsz = 11.5;

load data\f04\cals.mat WL
WL = WL*1000;

load data\f04\hd2hr.mat HR HD


load data\f04\liblib.mat stalib wavlib flxlib flx050 flx075 flx100
flx100 = flxlib;
[stahst,ix] = sort(stalib);
flxhst = flx100(ix,:);
wavhst = wavlib;
stahst'

flxhst = flxhst([1,3:end],:); % remove sspstd (not space)
stahst = stahst([1,3:end]);

load data\f04\pulkovo.mat
% wavpkv flxpkv stapkv
% load C:\Users\iLivi\OneDrive\Documents\matlab\star\stp1617\data\sems\pulkovo\data\tab5.mat star wav flx
% stapkv = star;
% wavpkv = wav;
% flxpkv = flx;

[m,ps] = ismember(stahst,stapkv);
stapkv(ps)'

stapkv = stapkv(ps);
flxpkv = flxpkv(:,ps);

[m,ps] = ismember(stapkv,HR);
HD(ps)

% compare %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[wav,ia,ib] = intersect(wavhst,wavpkv);
flxhst = flxhst(:,ia);

dmag = 2.5*log10(flxhst./(flxpkv'*1E-7));
for i=1:size(flxhst,1)
    dmagWL(i,:) = interp1(wav,dmag(i,:),WL);
end

% nmag = double(~isnan(dmag));
% nmag = sum(nmag);
% rmag = dmag;
% rmag(isnan(rmag)) = 0;
% smag = sum(rmag);
% mmag = smag./nmag;


ps = find(~isnan(dmag(1,:)));
war = wav(ps);

m1 = mean(dmag([2,5],:));
m2 = mean(dmag([1,3,4],ps));
r1 = std(dmag([2,5],:));
r2 = std(dmag([1,3,4],ps));

mWL1 = interp1(wav,m1,WL);
mWL2 = interp1(war,m2,WL);

m2 = interp1(war,m2,wav,'linear','extrap');
r2 = interp1(war,r2,wav,'linear','extrap');
m0 = 0.5*(m1+m2);
r0 = abs(0.5*(m1-m2));
mWL0 = interp1(wav,m0,WL);
rWL0 = interp1(wav,r0,WL);

figure(12)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
% ha = tight_subplot(1,1,[.08 .1],[.14 .065],[.13 .03]);
ha = tight_subplot(1,1,[.08 .1],[.15 .01],[.12 .01]);

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 1.5*8.3; height = 1.2*6; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);


axes(ha(1));
set(gca,'FontSize',fontsz-1)

plot(wav,dmag(2,:),':r')
hold on
plot(wav,dmag(5,:),':m')
plot(wav,dmag(1,:),':c')
plot(wav,dmag(3,:),':k')
plot(wav,dmag(4,:),':b')

plot(wav,m1,'-r','LineWidth',0.5)
plot(wav,m2,'-b','LineWidth',0.5)

plot(wav,m0,'-k','LineWidth',0.5)

fill(([wav fliplr(wav)]'),[m1-r1 fliplr(m1+r1)],...
    'r','EdgeColor','none','FaceAlpha',0.2)
fill(([wav fliplr(wav)]'),[m2-r2 fliplr(m2+r2)],...
    'b','EdgeColor','none','FaceAlpha',0.2)

plot(WL,mWL0,'-k','LineWidth',1)
plot([735 735],[-0.12 0.12],'-k','LineWidth',1)

% plot(WL,mWL1,'or','MarkerFaceColor',[1 0.6 0.6])
% plot(WL,mWL2,'ob','MarkerFaceColor',[0.6 0.6 1])
plot(WL,mWL1,'or','MarkerFaceColor',[1 1 1],'LineWidth',1,'MarkerSize',4)
plot(WL,mWL2,'ob','MarkerFaceColor',[1 1 1],'LineWidth',1,'MarkerSize',4)
plot(WL,mWL0,'ok','MarkerFaceColor',[1 1 1],'LineWidth',1)

% plot([400 1050],[0 0],':k')
plot([400 1050],[0.02 0.02],'-k')
plot([400 1050],[-0.02 -0.02],'-k')
for i=1:length(WL)
    plot([WL(i) WL(i)],[-0.12 0.12],':k')
end
hold off

h = legend(['HR ',num2str(stapkv(2)),' (Sirius {\itV} = -1.46): {\color{red}CALSPEC}'],['HR ',num2str(stapkv(5)),' (Vega, {\itV} = 0.03): {\color{red}CALSPEC}'],...
    ['HR ',num2str(stapkv(1)),' (Alpheratz, {\itV} = 2.06): {\color{blue}NGSL}'],['HR ',num2str(stapkv(3)),' (Adharaz, {\itV} = 1.50): {\color{blue}NGSL}'],...
    ['HR ',num2str(stapkv(4)),' (Merak, {\itV} = 2.37): {\color{blue}NGSL}'],'location','southwest');
% set(h,'FontSize',fontsz-3)
lgps = get(h,'position');
lgps(1) = lgps(1)-0.055;
lgps(2) = lgps(2)-0.055;
set(h,'FontSize',fontsz-3.5,'position',lgps,'Color','w')

set(gca,'YLim',[-0.11 0.11])
set(gca,'XLim',[400 1050])
yh = ylabel('$\delta_{M_0}=M_{\mathrm{Pulkovo}}$-$M_{\mathrm{HST}}$','FontSize',fontsz,'Interpreter','latex');
% set(yh,'Interpreter','tex');
xh = xlabel('Wavelength (nm)','FontSize',fontsz,'Interpreter','latex');
% set(xh,'Interpreter','tex');
% title('Spectrum bias \& RMS (marker=channel, plain=mean, shade=RMS)','FontWeight','normal','FontSize',fontsz-1,'Interpreter','latex')
set(gca,'ytick',[-0.1:0.02:0.1])
set(gca,'YGrid','on')
set(gca,'FontName','times')

outfile1 = strcat('pics/emf/','fig04');
outfile2 = strcat('pics/png/','fig04');
outfile3 = strcat('pics/eps/','fig04');
outfile4 = strcat('pics/tif/','fig04');
outfile5 = strcat('pics/pdf/','fig04');

if flg
%     print('-dmeta', '-r400','-painters', [outfile1,'.emf'])
    print('-dpng', '-r400', [outfile2,'.png'])
%     print('-depsc2', '-tiff','-painters', '-r400', [outfile3,'.eps'])
%     print('-dtiff', '-r400', [outfile4,'.tif'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end


dsm = m0; % spectra mean
dse = r0; % +/- error
dcm = mWL0; % channel mean
dce = rWL0; % +/- channel error

% save 'hstpkvbias.mat' wav WL dsm dse dcm dce

