%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear

flg = logical(1);
fontsz = 9;
meth = 'spline';

load 'data\f05\vegaflx.mat' 
% veg S prs mas
xas = mas./0.921;
load 'data\f05\wavcal.mat' 
% c wav WL
wavi = [wav(1):0.01:wav(end)];

px = [1 25 56 82 124 139 151 185 234 271 301 346 392 436 497 566 611 629 653 757 799 810 840];
WLp = c(1) + c(2)*px + c(3)*px.^2 + c(4)*px.^3;


% ps = find(~isnan(tauB));
vegx = interp1(wav,veg,wavi,meth,'extrap');
vegi = interp1(WLp,veg(px+1),wavi,meth,'extrap');
dveg = vegi-vegx;

Sx = interp1(wav,S,wavi,meth,'extrap');
Si = interp1(WLp,S(px+1),wavi,meth,'extrap');
dS = Sx-Si;

ps{1} = [1936:5200];
ps{2} = [7000:10000];
ps{3} = [24000:27000];

ps{4} = [34000:39000];
ps{5} = [49200:50900];


for i=1:5
    x = wavi(ps{i});
    y = dveg(ps{i});
    mx = max(y);
    psi = find(y>=mx/2);
    dw(i) = x(psi(end))-x(psi(1));
    psi = find(y==mx);
    mw(i) = x(psi(1));
end

for i=1:5
    x = wavi(ps{i});
    y = dS(ps{i});
    mx = max(y);
    psi = find(y>=mx/2);
    dwS(i) = x(psi(end))-x(psi(1));
    psi = find(y==mx);
    mwS(i) = x(psi(1));
end

p = polyfit(mwS,dwS,1);
f = wav*p(1)+p(2);



%%%%%%%%%%%%% plot %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(1,1,[.02 .2],[.3 .04],[.13 .01]);
% ha = tight_subplot(1,1,[.02 .2],[.38 .06],[.13 .01]);

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 9; height = 3.2; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);

axes(ha(1));
set(gca,'FontSize',fontsz)

plot(mwS,dwS,'ob','MarkerSize',4)
hold on
plot(wav,ones(size(wav))*mean(dwS),'-k')
hold off

set(gca,'XLim',[400 1050],'YLim',[8 8.4])
% set(gca, 'YGrid', 'on', 'XGrid', 'off')

hh = legend('data','average','location','northeast');
hh.ItemTokenSize = [30,18]/3; % default x1=30 and x2=18
set(hh,'FontSize',fontsz-1,'Interpreter','latex')

lgps = get(hh,'position');
lgps(1) = lgps(1)+0.025;
lgps(2) = lgps(2)+0.08;
set(hh,'position',lgps)


xlabel('Wavelength (nm)','Interpreter','latex')
daty = ylabel('FWHM (nm)','Interpreter','latex');

set(gca,'FontName','times','FontSize',fontsz)

outfile2 = strcat('pics/png/fig05');
outfile5 = strcat('pics/pdf/fig05');

if flg
    print('-dpng', '-r300', [outfile2,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end