%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear
set(0,'DefaultTextInterpreter', 'latex')
flg = logical(1); % save pic flag

fontsz = 6.5;

load data\f11\hd2hr.mat HR HD

HRs = 4295;
pss = find(HR==HRs);
HD(pss)

% HR 15        HR 2618        HR 4295
load 'data\f11\ngslib.mat' stangs wavngs flxngs errngs wavngx fxn050 fxn075 fxn100

HRs = 4295;
pss = find(stangs==HRs);
wavs = wavngs{pss};
flxs = flxngs{pss};
mags = -2.5*log10(flxs);

HRs = 4295;
pss = find(stangs==HRs);
wav1a = wavngx;
flx1a = fxn050(pss,:);
mag1a = -2.5*log10(flx1a);


% STELIB ---------------------------
load 'data\f11\stelib.mat' 
% wavslb staslb flxslb wavste fsl050 fsl075 fsl100

HRs = 4295;
pss = find(staslb==HRs);
wavx = wavslb';
flxx = flxslb(pss,:)';
magx = -2.5*log10(flxx);

HRs = 4295;
pss = find(staslb==HRs);
wav1b = wavste;
flx1b = fsl050(pss,:);
mag1b = -2.5*log10(flx1b);

wavn = [167.6:0.1:1019.9];
flxn = interp1(wavs,flxs,wavn);
magn = -2.5*log10(flxn);

[wav,w1a,w1b] = intersect(wavx,wavn);
fls1 = flxx(w1a);
fls2 = flxn(w1b);
ps = find(~isnan(fls1));
wav = wav(ps);
fls1 = fls1(ps);
fls2 = fls2(ps)';

mags1 = -2.5*log10(fls1); % STELIB
mags2 = -2.5*log10(fls2); % NGSL





figure(30)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(2,1,[.02 .1],[.14 .065],[.15 .04]);


set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 8.3; height = 6; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);


axes(ha(1));
%%%%%%%%%%%%%%%%%%%%%%%%%

plot(wav,fls2*1E+7,'-b')
hold on
plot(wav,fls1*1E+7,'-r')
hold off

text(945,0.0085,'(a)','FontSize',fontsz+2,'Interpreter','latex')

set(gca,'FontSize',fontsz+0.5)
set(gca,'XLim',[300 1000],'YLim',[0 0.01])
ylabel('$I_0$ (W m$^{-2}$ m$^{-1}$)','FontSize',fontsz+2,'Interpreter','latex')
leg2 = legend('NGSL','STELIB','Location','North');
set(leg2,'FontSize',fontsz-1,'Interpreter','latex')
set(gca,'FontName','times','FontSize',fontsz+1)
title('Merak (Beta Ursa Major, HR 4295, HD 95418)','FontSize',fontsz+1,'FontWeight','normal','Interpreter','latex')
set(gca,'XTickLabel',{})

axes(ha(2));
%%%%%%%%%%%%%%%%%%%%%%%%%

plot(wav,mags1-mags2,'-k')

set(gca,'FontSize',fontsz+0.5)
set(gca,'XLim',[300 1000],'YLim',[-0.2 0.8])
xlabel('Wavelength (nm)','FontSize',fontsz+2,'Interpreter','latex')
ylabel('$\delta M_0$','FontSize',fontsz+2,'Interpreter','latex')
leg2 = legend('STELIB-NGSL','Location','North');
set(leg2,'FontSize',fontsz-1,'Interpreter','latex')

text(945,0.65,'(b)','FontSize',fontsz+2,'Interpreter','latex')

set(gca,'FontName','times','FontSize',fontsz+1)

outfile2 = strcat('pics/png/','fig11');
outfile5 = strcat('pics/pdf/','fig11');

if flg
    print('-dpng', '-r400', [outfile2,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end


