%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear

set(0,'DefaultTextInterpreter', 'latex')

flg = logical(0);

fontsz = 10;

load 'data\f14\Picecld.mat' 
% angles p11_400_GHM_010 p11_400_GHM_120 p11_400_Col_010 p11_400_Col_120 p11_400_ASC_010 p11_400_ASC_120

t = [0.001:0.001:180];

P010 = p11_400_GHM_010;
P120 = p11_400_GHM_120;

P010 = 10.^interp1(angles,log10(P010),t);
P120 = 10.^interp1(angles,log10(P120),t);

dt = t(2:end)-t(1:end-1);
t = t(1:end-1);

P1 = P010(1:end-1);
Pdt = cumsum(P1 .* sin(t*2*pi/360) .*dt*2*pi/360);
% Pdt(end)
Pdt = Pdt./Pdt(end);
% S1a = 1./(1-Pdt);
S1a = 1-Pdt;

P2 = P120(1:end-1);
Pdt = cumsum(P2 .* sin(t*2*pi/360) .*dt*2*pi/360);
% Pdt(end)
Pdt = Pdt./Pdt(end);
% S2a = 1./(1-Pdt);
S2a = 1-Pdt;

%%%%%%%%%%%%%%%%%%%%%%%

t = [0.001:0.001:180];

P010 = p11_400_Col_010;
P120 = p11_400_Col_120;

P010 = 10.^interp1(angles,log10(P010),t);
P120 = 10.^interp1(angles,log10(P120),t);

dt = t(2:end)-t(1:end-1);
t = t(1:end-1);

P1 = P010(1:end-1);
Pdt = cumsum(P1 .* sin(t*2*pi/360) .*dt*2*pi/360);
% Pdt(end)
Pdt = Pdt./Pdt(end);
% S1b = 1./(1-Pdt);
S1b = 1-Pdt;

P2 = P120(1:end-1);
Pdt = cumsum(P2 .* sin(t*2*pi/360) .*dt*2*pi/360);
% Pdt(end)
Pdt = Pdt./Pdt(end);
% S2b = 1./(1-Pdt);
S2b = 1-Pdt;

%%%%%%%%%%%%%%%%%%%%%

t = [0.001:0.001:180];

P010 = p11_400_ASC_010;
P120 = p11_400_ASC_120;

P010 = 10.^interp1(angles,log10(P010),t);
P120 = 10.^interp1(angles,log10(P120),t);

dt = t(2:end)-t(1:end-1);
t = t(1:end-1);

P1 = P010(1:end-1);
Pdt = cumsum(P1 .* sin(t*2*pi/360) .*dt*2*pi/360);
% Pdt(end)
Pdt = Pdt./Pdt(end);
% S1c = 1./(1-Pdt);
S1c = 1-Pdt;

P2 = P120(1:end-1);
Pdt = cumsum(P2 .* sin(t*2*pi/360) .*dt*2*pi/360);
% Pdt(end)
Pdt = Pdt./Pdt(end);
% S2c = 1./(1-Pdt);
S2c = 1-Pdt;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

t = [0.001:0.001:180];
dt = t(2:end)-t(1:end-1);
t = t(1:end-1);

g = 0.7;

P = (1-g^2) ./ (1 + g^2 -2*g*cos(t*2*pi/360)).^(3/2);

% mi = 0.025;
mi = 0.008;
wav = 0.4; % microns
ki = 4*pi*mi/wav;
% a = 0.15; % same as wav
a = 7.5; % same as wav
z = ki*a * 3*sqrt(3)*g / (sqrt(3)+4*g);
b1 = 1.1128;
b2 = 2.5576;
b3 = 5.6257;
b4 = 5.9498;
% w = 1 - b1*z + b2*z^2 - b3*z^3 + b4*z^4;
w = 0.85;

% w = 1;
Pdt = cumsum(P .* sin(t*2*pi/360) .*dt*2*pi/360);
Pdt = Pdt./Pdt(end);
% S = 1./(1-w*Pdt);
S = 1-w*Pdt;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

t = [0.001:0.001:180];
dt = t(2:end)-t(1:end-1);
t = t(1:end-1);

g = 0.7;

P = (1-g^2) ./ (1 + g^2 -2*g*cos(t*2*pi/360)).^(3/2);

mi = 0.025;
wav = 0.4; % microns
ki = 4*pi*mi/wav;
% a = 0.15; % same as wav
a = 0.1; % same as wav
z = ki*a * 3*sqrt(3)*g / (sqrt(3)+4*g);
b1 = 1.1128;
b2 = 2.5576;
b3 = 5.6257;
b4 = 5.9498;
% w = 1 - b1*z + b2*z^2 - b3*z^3 + b4*z^4;
w = 0.85;

% w = 1;
Pdt = cumsum(P .* sin(t*2*pi/360) .*dt*2*pi/360);
Pdt = Pdt./Pdt(end);
% S = 1./(1-w*Pdt);
Sb = 1-w*Pdt;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(11)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(1,1,[.15 .1],[.02 .06],[.135 .03]);

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 9; height = 8; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);


axes(ha(1));
set(gca,'FontSize',fontsz-1)


loglog(t*60,-S2c+1,'-b')
hold on
loglog(t*60,-S2b+1,'--b')
loglog(t*60,-S2a+1,':b')

loglog(t*60,-S1c+1,'-m')
loglog(t*60,-S1b+1,'--m')
loglog(t*60,-S1a+1,':m')

loglog(t*60,-Sb+1,'-r')
loglog([(36.9/2) (36.9/2)]/60,[1e-8 20],'k')
hold on
loglog([(57.3/2) (57.3/2)]/60,[1e-8 20],'--k')
hold on
loglog([0.6 0.6]*60,[1e-8 20],'-.k')
hold off

set(gca,'Xlim',[0.1 10000],'YLim',[1e-4 2])
set(gca,'YTick',[1e-4 1e-2 1])

grid on
ylabel('$\delta_{\tau}/\tau$','Interpreter','latex')
xlabel('$\Omega$ = FOV/2 (arc min)','Interpreter','latex')

hh = legend(['ice cloud $D_{\mbox{eff}} = 120$', ' $\mu$m (ASC)'],['ice cloud $D_{\mbox{eff}} = 120$', ' $\mu$m (Col)'],...
    ['ice cloud $D_{\mbox{eff}} = 120$', ' $\mu$m (GHM)'],['ice cloud $D_{\mbox{eff}} = 10$', ' $\mu$m (ASC)'],...
    ['ice cloud $D_{\mbox{eff}} = 10$', ' $\mu$m (Col)'],['ice cloud $D_{\mbox{eff}} = 10$', ' $\mu$m (GHM)'],...
    'aerosols $D_{\mbox{eff}} = 0.2$ $\mu$m (HG), $\bar{\omega}=0.85$, g=0.7','location','SouthOutside');
set(hh,'FontSize',fontsz-2,'Interpreter','latex')
hh.ItemTokenSize = [30,18]/2; % default x1=30 and x2=18

set(gca,'FontName','times','FontSize',fontsz-1)

xtks = get(gca,'XTick');
ax2 = axes('Position',get(gca,'Position'),...
           'XColor','k','YColor','k');
loglog(ax2,t*60,-S*nan+1);
set(ax2,'Xlim',[0.1 10000],'YLim',[1e-4 2])
set(ax2,'YTick',[],'XTick',xtks(1:3),'XTickLabel',num2str((xtks(1:3)*60*2)'),'Color','none','XAxisLocation','top')
text(50,65,'FOV (arc sec)','FontName','times','FontSize',fontsz-1)

set(ax2,'FontName','times','FontSize',fontsz-1)

outfile2 = strcat('pics/png/','fig14');
outfile5 = strcat('pics/pdf/','fig14');

if flg
    print('-dpng', '-r400', [outfile2,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end

