%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear

set(0,'DefaultTextInterpreter', 'latex')
flg = logical(1); % save pic flag

fontsz = 7;

load 'data\f17\focus.mat' fpos pfit2 focpos dtd
load 'data\f17\axis.mat' dx1a dtd1 dy2a dtd2 myps ft2
load 'data\f17\axiseu.mat' dx1ae dtd1e dy2ae dtd2e mypse ft2e

fpos = -9:0.01:9;
myps = -15:0.01:15;

%%% plot %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(1)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(2,1,[.1 .1],[.16 .01],[.135 .02]);


set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 8.3; height = 5.5; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);


axes(ha(1));
% set(gca,'FontSize',fontsz-1)
%%%%%%%%%%%%%%%%%%%%%%%%%

plot(focpos+0.5,dtd,'or','MarkerSize',3)
hold on
plot(dx1ae,dtd1e,'ob','MarkerSize',3)
plot(dy2a+1,dtd2/0.921,'ok','MarkerSize',3)
plot(fpos,0.0035*abs(fpos).^4,'r','LineWidth',1)
plot(myps,0.0001*abs(myps).^4,'b','LineWidth',1)
plot(myps,0.00000000004*abs(myps).^10/0.921,'k','LineWidth',1)
hold off
set(gca,'XLim',[-15 15],'YLim',[-0.2 5],'XTick',-15:3:15)
% xlabel('Star position')
ylabel('$x\delta_{\tau}$','FontSize',fontsz+1,'Interpreter','latex','FontName','times')
leg2 = legend('off-focus C11 (Eureka)','off-axis C11 (Eureka)',...
    'off-axis M703 (Sherbrooke)','Location','North');
set(leg2,'FontSize',fontsz,'Interpreter','latex')
lgps = get(leg2,'position');
lgps(1) = lgps(1)+0.0;
lgps(2) = lgps(2)+0.04;
set(leg2,'FontSize',fontsz,'position',lgps,'Color','w','Interpreter','latex')

text(-14.6,0.3,'(a)','FontSize',fontsz+1,'Interpreter','latex')

set(gca,'FontName','times','FontSize',fontsz+1)


axes(ha(2));

plot(fpos,0.0035*abs(fpos).^4,'r','LineWidth',1)
hold on
plot(myps,0.0001*abs(myps).^4,'b','LineWidth',1)
plot(myps,0.00000000004*abs(myps).^10/0.921,'k','LineWidth',1)

plot(focpos+0.5,dtd,'or','MarkerSize',3)
plot(dx1ae,dtd1e,'ob','MarkerSize',3)
plot(dy2a+1,dtd2/0.921,'ok','MarkerSize',3)

hold off
set(gca,'XLim',[-8 8],'YLim',[-0.00 0.04],'XTick',-8:2:8)
xlabel('$s$ (star spot position)','FontSize',fontsz+1,'Interpreter','latex','FontName','times')
ylabel('$x\delta_{\tau}$ (zoom)','FontSize',fontsz+1,'Interpreter','latex','FontName','times')
leg2 = legend('2016/01/23 23:34','2012/03/09 02:13',...
    '2010/09/20 06:20','Location','North');
set(leg2,'FontSize',fontsz,'Interpreter','latex')
lgps = get(leg2,'position');
lgps(1) = lgps(1)+0.0;
lgps(2) = lgps(2)+0.04;
set(leg2,'FontSize',fontsz,'position',lgps,'Color','w','Interpreter','latex')

text(-7.8,0.004,'(b)','FontSize',fontsz+1,'Interpreter','latex')

set(gca,'FontName','times','FontSize',fontsz+1)

outfile2 = strcat('pics/png/','fig17');
outfile5 = strcat('pics/pdf/','fig17');

if flg
    print('-dpng', '-r400', [outfile2,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end
