%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear
set(0,'DefaultTextInterpreter', 'latex')

flg = logical(1);

fontsz = 8;

load 'data\f22\vartms1S.mat' WL tms star airm tem ITB A SN HN SC SV HC HV CN SNR SEMI

% one star %%%%%%%%%%%%%%%%%%%%%%%%%
tms_1S = tms;
star_1S = star;
airm_1S = airm;
tem_1S = tem;
ITB_1S = ITB;

A_1S = A;
SN_1S = SN;
HN_1S = HN;
SC_1S = SC;
SV_1S = SV;
HC_1S = HC;
HV_1S = HV;
CN_1S = CN;
SNR_1S = SNR;
SEMI_1S = SEMI;

[tms_1S, idx] = unique(tms_1S);
star_1S = star_1S(idx);
airm_1S = airm_1S(idx);
ITB_1S = ITB_1S(idx);
A_1S = A_1S(idx);
SN_1S = SN_1S(idx);
HN_1S = HN_1S(idx);

SC_1S = SC_1S(:,idx);
SV_1S = SV_1S(:,idx);
HC_1S = HC_1S(:,idx);
HV_1S = HV_1S(:,idx);
CN_1S = CN_1S(:,idx);
SNR_1S = SNR_1S(:,idx);
SEMI_1S = SEMI_1S(:,idx);

[tms_1S, idx] = sort(tms_1S);
star_1S = star_1S(idx);
airm_1S = airm_1S(idx);
ITB_1S = ITB_1S(idx);
A_1S = A_1S(idx);
SN_1S = SN_1S(idx);
HN_1S = HN_1S(idx);

SC_1S = SC_1S(:,idx);
SV_1S = SV_1S(:,idx);
HC_1S = HC_1S(:,idx);
HV_1S = HV_1S(:,idx);
CN_1S = CN_1S(:,idx);
SNR_1S = SNR_1S(:,idx);
SEMI_1S = SEMI_1S(:,idx);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

dy = datenum([2011 07 24]);

hr1 = 4.35;
hr2 = 8.15;

ps1S = find(tms_1S>dy+hr1/24 & tms_1S<dy+hr2/24);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(1,1,[.1 .1],[.23 .035],[.13 .01]);

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 9; height = 4.1; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);

axes(ha(1));
set(gca,'FontSize',fontsz-2)
%%%%%%%%%%%%%%%%%%%%%%%%%
plot((tms_1S(ps1S)-dy)*24,HC_1S(5,ps1S),'k-')
hold on
plot((tms_1S(ps1S)-dy)*24,HC_1S(5,ps1S),'bo','MarkerSize',3)
hold off

set(gca,'XLim',[hr1 hr2])
set(gca,'YLim',[350 800],'FontSize',fontsz)

ylabel('Background (cnt/s)','Interpreter','latex')
xlabel(['Time (h) @ ',datestr(dy,'dd-mm-yyyy')],'Interpreter','latex')

set(gca,'FontName','times','FontSize',fontsz+1)

outfile2 = strcat('pics/png/','fig22');
outfile5 = strcat('pics/pdf/','fig22');

if flg
    print('-dpng', '-r400', [outfile2,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end

