%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear

set(0,'DefaultTextInterpreter', 'latex')

flg = logical(1);
fontsz = 18;
ft = 9;

load 'data/f25/stpres.mat' ...
    tms2S Ta2S Tm2S Awv2S Aoz2S ...
    tmshi Tahi Tmhi Awvhi Aozhi mhi ...
    tmslo Talo Tmlo Awvlo Aozlo mlo ...
    tms1S Ta1S Tm1S Awv1S Aoz1S m1S ...
    tms Ta Tm Awv Aoz m ...
    WL

Tahit = Tahi;
Talot = Talo;
Ta1St = Ta1S;


% for plot
ps = find(~isnan(Ta));
tmsr = tms(ps);
Tar = Ta(ps);

tmsu = unique(fix(tms));

dy=length(tmsu)-2:length(tmsu)-2

tmsdy = tmsu(dy);

ps2S = find(tms2S>tmsdy & tms2S<tmsdy+1);
pshi = find(tmshi>tmsdy & tmshi<tmsdy+1);
pslo = find(tmslo>tmsdy & tmslo<tmsdy+1);
ps1S = find(tms1S>tmsdy & tms1S<tmsdy+1);
ps1 = find(tmsr>tmsdy & tmsr<tmsdy+1);
%     ps = find(tmslid>tmsdy & tmslid<tmsdy+0.5);


figure(3)
clf reset
% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt]
ha = tight_subplot(1,1,[.12 .2],[.28 .02],[.105 .01]);


set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inch');
width = 7.3; height = 2.5; left = 0.; bottom = 0.;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'inch');
set(gcf, 'Position', myfiguresize);

axes(ha(1));
set(gca,'FontSize',fontsz)

plot((tmshi(pshi)-tmsdy)*24,Tahi(ft,pshi),'o-b','LineWidth',0.5)
hold on
plot((tmslo(pslo)-tmsdy)*24,Talo(ft,pslo),'o-r','LineWidth',0.5)
hold on
plot((tms2S(ps2S)-tmsdy)*24,Ta2S(ft,ps2S),'o-g','LineWidth',0.5)
hold off
set(gca,'XLim',[6. (tmshi(pshi(end))-tmsdy)*24])
set(gca,'YLim',[-0.1 1.2])
set(gca,'XTick',[6:15])
box on

leg1 = legend('OSM high star','OSM low star','TSM','location','NorthWest');
set(leg1,'FontSize',fontsz-2,'Color','none');

ylabel(['OD @ ',num2str(WL(ft)*1e+3,'%4.0f'),' nm'])
xlabel(['Time (h) @ ',datestr(tmsdy,'yyyy-mm-dd')])

text(15,1,'a)','FontSize',fontsz+2)
set(gca,'FontName','times','FontSize',fontsz)

outfile2 = strcat('pics/png/','fig25');
outfile5 = strcat('pics/pdf/','fig25');

if flg
    print('-dpng', '-r300', [outfile2,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile5,'.pdf'])
end



