%  Liviu Ivanescu (gruiva@gmail.com), Universit de Sherbrooke, 23.03.2021
clear

set(0,'DefaultTextInterpreter', 'latex')

flg = logical(1); % save pic flag
fontsz = 14;

scale = 0.6630; % "/px
th = 0:pi/50:2*pi;

ry = 50;
fov = 36.9; % "
% sc = 2; % "/px

load 'data/f28/ccdeu2.mat'
% tms1 mas1 ovp1 exp1 snb1 snm1 ccd1 tms2 mas2 ovp2 exp2 snb2 snm2 ccd2

load 'data/f28/ccdeu34.mat' 
% tms3 mas3 ovp3 exp3 snb3 snm3 ccd3 tms4 mas4 ovp4 exp4 snb4 snm4 ccd4

% sz = size(ccd1);

dx = 28;
ccd1 = ccd1(dx+1:end-dx,dx+1-3:end-dx-3);
ccd2 = ccd2(dx+1:end-dx,dx+1:end-dx);
ccd3 = ccd3(dx+1:end-dx,dx+1:end-dx);
ccd4 = ccd4(dx+1:end-dx,dx+1+3:end-dx+3);

% keep high resolution params
[fw1,ix1,iy1] = fwgsij(ccd1,ry);
[fw2,ix2,iy2] = fwgsij(ccd2,ry);
[fw3,ix3,iy3] = fwgsij(ccd3,ry);
[fw4,ix4,iy4] = fwgsij(ccd4,ry);

sz = size(ccd1);

m1 = (fw1*scale/7.3)^(1/0.34);
m2 = (fw2*scale/7.3)^(1/0.34);
m3 = (fw3*scale/7.3)^(1/0.34);
m4 = (fw4*scale/7.3)^(1/0.34);

fw10 = fw1;
fw20 = fw2;
fw30 = fw3;
fw40 = fw4;

ix10 = ix1;
iy10 = iy1;
ix20 = ix2;
iy20 = iy2;
ix30 = ix3;
iy30 = iy3;
ix40 = ix4;
iy40 = iy4;

% make colormap with black background
cmap = jet(256);
cmap(1,:) = [0 0 0];

% binning a matrix 3 by 3
myMeanFunction = @(block_struct) mean2(block_struct.data);
% Get the means by each 3-by-3 block.
ccd1s = blockproc(ccd1, [3, 3], myMeanFunction);
ccd2s = blockproc(ccd2, [3, 3], myMeanFunction);
ccd3s = blockproc(ccd3, [3, 3], myMeanFunction);
ccd4s = blockproc(ccd4, [3, 3], myMeanFunction);


% normalise
ccd1s = ccd1s./max(max(ccd1s));
ccd2s = ccd2s./max(max(ccd2s));
ccd3s = ccd3s./max(max(ccd3s));
ccd4s = ccd4s./max(max(ccd4s));

% get low res params
[fw1s,ix1s,iy1s] = fwgsij(ccd1s,ry);
[fw2s,ix2s,iy2s] = fwgsij(ccd2s,ry);
[fw3s,ix3s,iy3s] = fwgsij(ccd3s,ry);
[fw4s,ix4s,iy4s] = fwgsij(ccd4s,ry);

% new center points
ix1 = ix1s;
iy1 = iy1s;
ix2 = ix2s;
iy2 = iy2s;
ix3 = ix3s;
iy3 = iy3s;
ix4 = ix4s;
iy4 = iy4s;

% make fov circles and shift by jitter 4"
r = (fov/2)/scale/3;
xu1 = r * cos(th) + ix1 + 0/scale/3;
xu1j = r * cos(th) + ix1 + 4/scale/3;
yu1 = r * sin(th) + iy1;
xu2 = r * cos(th) + ix2 + 0/scale/3;
xu2j = r * cos(th) + ix2 + 4/scale/3;
yu2 = r * sin(th) + iy2;
xu3 = r * cos(th) + ix3 + 0/scale/3;
xu3j = r * cos(th) + ix3 + 4/scale/3;
yu3 = r * sin(th) + iy3;
xu4 = r * cos(th) + ix4 + 0/scale/3;
xu4j = r * cos(th) + ix4 + 4/scale/3;
yu4 = r * sin(th) + iy4;

% FWHM circles and shift by jitter 4"
r = (fw10/2)/3;
xf1 = r * cos(th) + ix1 + 0/scale/3;
xf1j = r * cos(th) + ix1 + 4/scale/3;
yf1 = r * sin(th) + iy1;
r = (fw20/2)/3;
xf2 = r * cos(th) + ix2 + 0/scale/3;
xf2j = r * cos(th) + ix2 + 4/scale/3;
yf2 = r * sin(th) + iy2;
r = (fw30/2)/3;
xf3 = r * cos(th) + ix3 + 0/scale/3;
xf3j = r * cos(th) + ix3 + 4/scale/3;
yf3 = r * sin(th) + iy3;
r = (fw40/2)/3;
xf4 = r * cos(th) + ix4 + 0/scale/3;
xf4j = r * cos(th) + ix4 + 4/scale/3;
yf4 = r * sin(th) + iy4;

% tolerance circles and shift by jitter 4"
% for star 1
r = 2/scale/3;
xt1a = r * cos(th) + ix1 + 0/scale/3;
xt1aj = r * cos(th) + ix1 + 4/scale/3;
yt1a = r * sin(th) + iy1;
r = 4/scale/3;
xt1b = r * cos(th) + ix1 + 0/scale/3;
xt1bj = r * cos(th) + ix1 + 4/scale/3;
yt1b = r * sin(th) + iy1;
r = 6/scale/3;
xt1c = r * cos(th) + ix1 + 0/scale/3;
xt1cj = r * cos(th) + ix1 + 4/scale/3;
yt1c = r * sin(th) + iy1;

% for star 2
r = 2/scale/3;
xt2a = r * cos(th) + ix2 + 0/scale/3;
xt2aj = r * cos(th) + ix2 + 4/scale/3;
yt2a = r * sin(th) + iy2;
r = 4/scale/3;
xt2b = r * cos(th) + ix2 + 0/scale/3;
xt2bj = r * cos(th) + ix2 + 4/scale/3;
yt2b = r * sin(th) + iy2;
r = 6/scale/3;
xt2c = r * cos(th) + ix2 + 0/scale/3;
xt2cj = r * cos(th) + ix2 + 4/scale/3;
yt2c = r * sin(th) + iy2;

% for star 3
r = 2/scale/3;
xt3a = r * cos(th) + ix3 + 0/scale/3;
xt3aj = r * cos(th) + ix3 + 4/scale/3;
yt3a = r * sin(th) + iy3;
r = 4/scale/3;
xt3b = r * cos(th) + ix3 + 0/scale/3;
xt3bj = r * cos(th) + ix3 + 4/scale/3;
yt3b = r * sin(th) + iy3;
r = 6/scale/3;
xt3c = r * cos(th) + ix3 + 0/scale/3;
xt3cj = r * cos(th) + ix3 + 4/scale/3;
yt3c = r * sin(th) + iy3;

% for star 4
r = 2/scale/3;
xt4a = r * cos(th) + ix4 + 0/scale/3;
xt4aj = r * cos(th) + ix4 + 4/scale/3;
yt4a = r * sin(th) + iy4;
r = 4/scale/3;
xt4b = r * cos(th) + ix4 + 0/scale/3;
xt4bj = r * cos(th) + ix4 + 4/scale/3;
yt4b = r * sin(th) + iy4;
r = 6/scale/3;
xt4c = r * cos(th) + ix4 + 0/scale/3;
xt4cj = r * cos(th) + ix4 + 4/scale/3;
yt4c = r * sin(th) + iy4;




figure(2)
clf reset

% margins:        Nv,Nh,[dh,dw],[dn,up],[lft,rgt] 
ha = tight_subplot(1,1,[.12 .1],[0.03 0.09],[.005 .055+0.04]);

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'centimeters');
width = 8.3*2; height = 4*2.1; left = 0; bottom = 0;
set(gcf, 'PaperSize',[left*2+width bottom*2+height]);
myfiguresize = [left, bottom, width, height];
set(gcf, 'PaperPosition', myfiguresize);
set(gcf, 'Units', 'centimeters');
set(gcf, 'Position', myfiguresize);


axes(ha(1));
set(gca,'FontSize',fontsz)

imagesc(log10([ccd4s ccd1s]))
hold on
contour(log10([ccd4s ccd1s]),[-2 -0.301],'w','LineWidth',1.5);
text(2,3,'a)','color','w','FontSize',fontsz+2)
text(31,3,'b)','color','w','FontSize',fontsz+2)

plot(xu4j, yu4, 'm','LineWidth',2);
plot(xt4aj, yt4a, 'k','LineWidth',1.);
plot(xt4bj, yt4b, 'k','LineWidth',1.);
plot(xt4cj, yt4c, 'k','LineWidth',1.);

plot([sz(1)/3+1 sz(1)/3+1], [sz(1)/3+1 -1], 'w','LineWidth',1);

plot(sz(1)/3+0.5+xu1j, yu1, 'm','LineWidth',2);
plot(sz(1)/3+0.5+xt1aj, yt1a, 'k','LineWidth',1.);
plot(sz(1)/3+0.5+xt1bj, yt1b, 'k','LineWidth',1.);
plot(sz(1)/3+0.5+xt1cj, yt1c, 'k','LineWidth',1.);

title(['$\omega_s=$ ', num2str(fw40*scale,'%2.1f'),'$^{\prime\prime}$, $m=$ ',num2str(m4,'%1.1f'),repmat('\ ',1,15)...
    ,'$\omega_s=$ ', num2str(fw10*scale,'%2.1f'),'$^{\prime\prime}$, $m=$ ',num2str(m1,'%1.1f')],'FontWeight','normal','FontSize',fontsz,'Interpreter','latex')

hold off
colormap(cmap)
set(gca,'CLim',[-2.5 0],'XTick',[],'YTick',[],'FontSize',fontsz)

ax = get(gca,'Position');
hc = colorbar;
p = get(hc,'Position');
p(1) = ax(1)+ax(3)+0.01;
p(2) = ax(2);
p(3) = p(3)/3;
set(hc,'Position',p,'FontSize',fontsz-2);
tks = [-2.5:0.5:0];
hc.Ticks = tks;
hc.TickLabels = [['E';'E';'E';'E';'E';'E'],num2str(tks','%1.1f')];

set(gca,'FontName','times','FontSize',fontsz)

outfile1 = strcat('pics/png/','fig28');
outfile4 = strcat('pics/pdf/','fig28');

if flg
    print('-dpng', '-r400', [outfile1,'.png'])
    print('-Painters','-dpdf', '-r400', [outfile4,'.pdf'])
end


