function [fw,ixo,iyo] = fwgsij(mtx,ry)
% mtx is the CCD image of a star
% ry radius in pixels to crop around the star
% fw is fwhm in pixels

[ix,iy] = find(mtx==max(max(mtx)));
sz = size(mtx);
mx = repmat([1:sz(1)]',1,sz(2));
my = repmat([1:sz(2)],sz(1),1);
rd = sqrt((mx-ix(1)).^2+(my-iy(1)).^2);
msk = ones(sz);
msk(rd>ry) = 0;

pars = psfFit(mtx,[iy;ix],[1,1,1,1,1,0,0]);
ixo = pars(1);
iyo = pars(2);

[ix0,iy0] = find(msk==1);
mni = min(ix0);
mxi = max(ix0);
mnj = min(iy0);
mxj = max(iy0);

mts = mtx(mni:mxi,mnj:mxj);
mks = msk(mni:mxi,mnj:mxj);
rds = rd(mni:mxi,mnj:mxj);

mys = mts.*mks;
[ix,iy] = find(mys==max(max(mys)));
pars = psfFit(mys,[iy;ix],[1,1,1,1,1,0,0]);
fw = 2*sqrt(2*log(2)) * pars(5);