function [m] = young1994airmass(z)

% This is based on the formula of:
% Young, A. T. 1994. Air mass and refraction. Applied Optics. 33:11081110. doi: 10.1364/AO.33.001108. Bibcode 1994ApOpt..33.1108Y

% it's in terms of the true zenith angle z_t in radians, for which he claimed a maximum error (at the horizon) of 0.0037 air mass.
% it doesn't care about refraction
% if z is computed from time and lat/long position of site and RA/DEC of star, then z=z_t


m = (1.002432*cos(z).^2 + 0.148386*cos(z) + 0.0096467) ./ (cos(z).^3 + 0.149864*cos(z).^2 + 0.0102963*cos(z) + 0.000303978);